Перейти к основному содержанию

Новости

Тема: Ошибка в патче обновления (Прочитано 99 раз) предыдущая тема - следующая тема

  • inter 😎
  • [*][*][*][*][*]
  • Царь
Ошибка в патче обновления
Хай, пипл, я вчера нашёл досадную ошибку. Ошибка на вине разработчиков патча для обновления форума.

Если у вас был форум версии 2.0.11 и вы его обновили при помощи патча smf_patch_2.0.12.zip до версии 2.0.12, то внимательно проверьте файл Subs.php и, если есть, то удалите данный код:
$matches[1] < 256

Забавно, но в установочном архиве форума smf_2-0-12_install.zip вообще нет этого кода изначально. То есть, если вы будете использовать патч smf_patch_2.0.12.zip, то ненужный код появится. И в будущем этот код не будет исправлен!

Если вы вручную не удалите этот код, то ваш журнал ошибок будет время от времени пополняться новыми записями.

Мораль: если вы обновляете свой форум при помощи маленьких патчей smf_patch_*.zip с офсайта, то всё равно сверяйте содержимое своих файлов форума с оригинальными файлами установочного пакета smf_*_install.zip
  • Последнее редактирование: 01 Март 2018, 11:16:15 by inter 😎

  • inter 😎
  • [*][*][*][*][*]
  • Царь
Re: Ошибка в патче обновления
Ответ #1
Вообще неплохо просматривать содержимое файлов своих сайтов. Проблема в опытности того кто будет смотреть код, и в большом количестве файлов. Лично я сверяю файлы при помощи программы TortoiseGit или Total Commander.